Supported Environments

You need Java Runtime Environment 1.8 or later to run Hazelcast Management Center.

Management Center uses RocksDB library to store metrics data on disk. Because of that dependency, macOS users have to be on at least 10.15 version (Catalina) and Windows users need to have Microsoft Visual C++ 2015 Redistributable installed. Otherwise, you can use the official Management Center docker image.

Hazelcast Compatibility

We officially support Hazelcast 5.0.x and Hazelcast IMDG 4.2.x.

Browser Compatibility

Hazelcast Management Center is tested and works on the following browsers:

  • Last two versions of Chrome at the time of release

  • Last two versions of Firefox at the time of release

  • Latest Safari

  • Internet Explorer 11

  • Latest Microsoft Edge

System Requirements

Most Linux distributions are supported, assuming that glibc 2.12 or newer is installed.

Experimental support for AIX is provided as well, with the following prerequisites:

  • AIX version is 7.2 or newer

  • AIX Toolbox is installed

  • glibc version is 2.17 or newer

  • JRE 1.8 or newer is installed

  • libsnappy 1.8.0 or newer is installed